.mojikannkaku {
    letter-spacing: 0.07em;

}

.logo-link {

    display: flex;
    align-items: center;
    gap: 15px;

    text-decoration: none;
}

.logo-image {

    height: 35px;
    width: auto;
}

.logo-text {

    color: white;
    font-size: 25px;
    font-weight: bold;
    font-family: Tahoma;
}

.header {
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 10px 40px;

    background: transparent;

    transition: 0.3s;

    z-index: 10000;

    box-sizing: border-box;
}

.header.scrolled {
    background: rgba(0, 0, 0, 0.85);
    backdrop-filter: blur(10px);
}

.hero {
    padding-top: 0;

}

.header.hide {
    opacity: 0;
    pointer-events: none;
}



.menu-button:hover {

    color: #32EEFF;
}

.logo-image,
.logo-text,
.menu-button {
    opacity: 0;
    transition: 0.5s;
    font-family: serif;
}

.header.scrolled .logo-image,
.header.scrolled .logo-text,
.header.scrolled .menu-button {
    opacity: 1;
}

.header.scrolled .logo-link,
.header.scrolled .menu-button {

    opacity: 1;
}

.menu-panel {

    position: fixed;

    top: 0;

    right: -300px;

    width: 300px;

    height: 100vh;

    background: rgba(0, 0, 0, 0.95);

    display: flex;

    flex-direction: column;

    padding-top: 100px;

    transition: 0.4s;

    z-index: 9999;

    font-family: serif;
}


.menu-panel.show {

    right: 0;
}

.menu-panel a {

    color: white;

    text-decoration: none;

    font-size: 25px;

    padding: 20px 40px;

    transition: 0.3s;
}

.menu-panel a:hover {

    background: #222;

    color: #32EEFF;
}

.menu-close {

    position: absolute;

    top: 20px;
    right: 30px;

    color: white;

    font-size: 50px;

    cursor: pointer;

    transition: 0.3s;
}

.menu-close:hover {

    color: #32EEFF;

    transform: rotate(90deg);
}

.menu-panel {
    overflow-y: auto;
}

.menu-panel a {

    color: white;

    text-decoration: none;

    font-size: 22px;

    padding: 12px 40px;

    transition: 0.3s;
}

body {
    background-color: #222222;
    overflow-x: hidden;
}

.first,
.second,
.third {
    opacity: 0;
}

.first {
    animation: fadeUp 1.5s ease forwards;
}

.second {
    animation: fadeUp 1.0s ease forwards;
    animation-delay: 0.7s;
}

.third {
    animation: fadeUp 1.0s ease forwards;
    animation-delay: 1.4s;
}

.fourth {
    opacity: 0;
    animation:
        fadeDown 2s ease forwards 2s,
        bounce 6s ease-in-out infinite 4s;
}


.arrow-wrapper {
    position: absolute;
    right: 50px;
    bottom: 125px;
}

body {
    background-color: #222222;
}

.hero {
    background-image: url("images/LINE_ALBUM_TRC2026_260617_1.jpg");
    background-size: cover;
    background-position: center;

    height: 700px;
    padding: 20px;
    color: white;
    text-shadow:
        0.5px 0.5px 0 black,
        -0.5px 0.5px 0 black,
        0.5px -0.5px 0 black,
        -0.5px -0.5px 0 black;
    letter-spacing: -0.05em;

}

.title {
    border-left: solid 30px;
    font-size: clamp(70px, 10vw, 150px);
    margin-top: 0;
    margin-bottom: 10px;
    padding-left: 10px;

}

.home {
    color: #32EEFF;
}

.midasi {
    color: white;
    line-height: 0.1;
    font-size: clamp(30px, 2vw, 60px);
    font-weight: bold;
}

.setumei {
    line-height: 0.1;
    font-size: clamp(40px, 4vw, 70px);
}

.hero {
    position: relative;
}

.scroll-down {
    position: absolute;
    right: 210px;
    bottom: 200px;

    color: white;
    font-size: clamp(20px, 3vw, 50px);
    font-weight: bold;
    text-shadow: none;

}

.hero-bottom {
    height: 100px;
    background: #222222;
    clip-path: polygon(0 0%,
            15% 15%,
            50% 0,
            100% 40%,
            0 100%);
    margin-top: -40px;
}

.challenge {
    color: white;
    font-size: clamp(30px, 3vw, 70px);
    text-align: center;
    font-family: serif;
    font-weight: bold;
    margin-top: -20px;
}

.challenge-bottom {
    border-top: solid 2px #99FFFF;
    width: 20%;
    margin: 0 auto;
    margin-top: -20px;
}

.TENACITYkoujyou {
    text-align: center;
    color: white;
    font-family: serif;
    font-wight: 500;
    font-size: clamp(15px, 2vw, 50px);
}

.fade-in {
    opacity: 0;
    transform: translateY(50px);
    transition: all 1s ease;
}

.fade-in.show {
    opacity: 1;
    transform: translateY(0);
}

.overview {
    text-align: center;
    color: white;
    font-size: clamp(30px, 3vw, 70px);
    font-family: serif;
    font-wight: 500;
    margin-top: 150px;
}

.overview-bottom {
    border-top: solid 2px #99FFFF;
    width: 15%;
    margin: 0 auto;
    margin-top: 30px;

}

.kitaigaiyou {
    text-align: center;
    color: silver;
    font-family: serif;
    font-wight: 200;
    font-size: clamp(15px, 2vw, 50px);
    margin-top: 30px;
}

.spec-area {
    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 90%;
    margin: 100px auto;
}

.spec-text {
    width: 45%;
    color: white;
    font-family: serif
}

.spec-text h2 {
    font-size: clamp(10px, 2vw, 40px);
    margin-top: 40px;
    color: silver;
}

.spec-text p {
    font-size: clamp(20px, 3vw, 50px);
    line-height: 1.5;
    margin-top: -15px;
}

.spec-text hr {
    border: none;
    border-top: 1px solid #666;
}

.TENACITY-CAD {
    width: 50%;
    margin-top: 0;
}

.category-area {
    display: flex;
    justify-content: space-between;
    gap: 30px;

    width: 95%;
    margin: 100px auto;
    font-family: serif;
}

.category {
    width: 23%;
    background: #eeeeee;

    text-align: center;
    padding: 30px 10px 50px;

    clip-path: polygon(0 0,
            100% 0,
            100% 75%,
            50% 100%,
            0 75%);

    transition: 0.3s;
}

.category:hover {
    transform: translateY(-10px);
}

.hardware h2 {
    color: red;
}

.hardware p {
    color: red;
}

.software h2,
.software p {
    color: #0066ff;
}

.electronics h2,
.electronics p {
    color: #F8B400;
}

.others h2,
.others p {
    color: #3cb371;
}

.category h2 {
    font-size: clamp(30px, 3vw, 60px);
    margin: 0;
}

.category p {
    font-size: clamp(15px, 1.2vw, 25px);
    margin-top: 10px;
}

.category {
    text-decoration: none;
}

.hardware:hover {
    background: #ffe5e5;
}

.software:hover {
    background: #e5f0ff;
}

.electronics:hover {
    background: #fff0dd;
}

.others:hover {
    background: #CCFFCC;

}

.detail-title {
    width: 90%;
    margin: 200px auto;

    background: black;

    border-left: 15px solid red;
    border-right: 15px solid red;

    text-align: center;

    padding: 20px 0;
    font-family: serif;
}

.detail-title h1 {
    color: white;
    font-size: clamp(30px, 4vw, 70px);
    margin: 0;
}

.detail-title p {
    color: white;
    font-size: clamp(15px, 2vw, 30px);
    margin-top: 20px;
    font-weight: bold;
}

.zoom-in {
    opacity: 0;
    transform: scale(1.5);
    transition: all 1s ease;
}

.zoom-in.show {
    opacity: 1;
    transform: scale(1);
}

.Hard-explanation {
    font-family: serif;
    font-size: clamp(15px, 2vw, 60px);
    color: white;
    margin-left: 50px;
    margin-top: -200px;
    margin-right: 50px;
    line-height: 1.6;

}

.engineer {
    color: silver;
    font-size: clamp(10px, 1vw, 20px);
    margin-left: 50px;
    margin-right: 50px;
    margin-bottom: 0;
    font-family: serif;
}

.engineer h2 {
    border-bottom: solid 2px silver;
    margin-top: 85px;
}

.engineer h1 {
    font-family: serif;
    font-size: clamp(15px, 3vw, 30px);
    color: white;
    margin-top: -10px;
}

.English-name {
    font-size: 0.8em;
}

.Japanese {
    font-size: 0.75em;
    margin-left: 20px;
}

.detail-title-soft {
    width: 90%;
    margin: 200px auto;

    background: black;

    border-left: 15px solid #0066ff;
    border-right: 15px solid #0066ff;

    text-align: center;

    padding: 20px 0;
    font-family: serif;
}

.detail-title-soft h1 {
    color: white;
    font-size: clamp(30px, 4vw, 70px);
    margin: 0;
}

.detail-title-soft p {
    color: white;
    font-size: clamp(15px, 2vw, 30px);
    margin-top: 20px;
    font-weight: bold;
}

html {
    scroll-behavior: smooth;
}

.detail-title-elect {
    width: 90%;
    margin: 200px auto;

    background: black;

    border-left: 15px solid gold;
    border-right: 15px solid gold;

    text-align: center;

    padding: 20px 0;
    font-family: serif;
}

.detail-title-elect h1 {
    color: white;
    font-size: clamp(30px, 4vw, 70px);
    margin: 0;
}

.detail-title-elect p {
    color: white;
    font-size: clamp(15px, 2vw, 30px);
    margin-top: 20px;
    font-weight: bold;
}

.detail-title-science {
    width: 90%;
    margin: 200px auto;

    background: black;

    border-left: 15px solid #3cb371;
    border-right: 15px solid #3cb371;

    text-align: center;

    padding: 20px 0;
    font-family: serif;
}

.detail-title-science h1 {
    color: white;
    font-size: clamp(30px, 4vw, 70px);
    margin: 0;
}

.detail-title-science p {
    color: white;
    font-size: clamp(15px, 2vw, 30px);
    margin-top: 20px;
    font-weight: bold;
}

.gallery-area {
    display: flex;

    gap: 20px;

    width: 90%;
    margin: 100px auto;

    overflow-x: auto;
    overflow-y: hidden;

    scroll-behavior: smooth;
}

.gallery-area img {
    width: 500px;
    flex-shrink: 0;

    border-radius: 10px;

    transition: 0.3s;
}

.gallery-area {
    display: flex;

    gap: 20px;

    width: 100%;
    margin: 0;

    overflow-x: auto;
    overflow-y: hidden;

    scroll-behavior: smooth;
}

.gallery-wrapper {

    position: relative;

    width: 90%;

    margin: 100px auto;

}

.gallery-btn {

    position: absolute;

    top: 50%;

    transform: translateY(-50%);

    width: 60px;
    height: 60px;

    border: 2px solid #99FFFF;

    background: rgba(0, 0, 0, .75);

    color: #99FFFF;

    font-size: 30px;

    border-radius: 50%;

    cursor: pointer;

    transition: .3s;

    z-index: 100;

}

.gallery-btn {

    transition:
        transform .25s ease,
        box-shadow .25s ease,
        background .25s ease,
        color .25s ease;

}

.gallery-btn.prev {

    left: -25px;

}

.gallery-btn.next {

    right: -25px;

}

.gallery-btn.prev:hover {

    background: #99FFFF;

    color: #222;

    box-shadow: 0 0 20px #99FFFF;

    transform: translateY(-50%) translateX(-8px) scale(1.08);

}

.gallery-btn.next:hover {

    background: #99FFFF;

    color: #222;

    box-shadow: 0 0 20px #99FFFF;

    transform: translateY(-50%) translateX(8px) scale(1.08);

}

.gallery-btn.prev:hover {

    transform: translateY(-50%) translateX(-6px) scale(1.1);

}

.gallery-btn.next:hover {

    transform: translateY(-50%) translateX(6px) scale(1.1);

}

.mean {
    font-family: serif;
    font-size: clamp(10px, 1vw, 25px);
    color: white;
    margin-top: 90px;
    margin-left: 50px;
    margin-right: 50px;
}

.mean h1 {
    margin-top: 50px;
}

.mean h2 {
    font-size: clamp(15px, 2vw, 50px);
    text-align: center;
    text-decoration: underline;
    margin-top: 150px;
}

.gallery-area img {
    width: 500px;
    flex-shrink: 0;

    border-radius: 10px;

    transition: 0.3s;
}

.gallery-area::-webkit-scrollbar {
    display: none;
}

.gallery-area img:hover {
    transform: scale(1.03);
}


.faq {
    width: 90%;
    margin: 150px auto;
    font-family: serif;
}

.faq-item {

    border-bottom: 1px solid #666;

}

.faq-title {

    color: white;
    font-size: clamp(15px, 2vw, 30px);

    padding: 25px 10px;

    cursor: pointer;

    position: relative;

    transition: .3s;

}

.faq-title:hover {

    color: #99FFFF;

}

.faq-title::after {

    content: "+";

    position: absolute;

    right: 20px;

    top: 50%;

    transform: translateY(-50%);

    font-size: 35px;

    transition: .4s;

}

.faq-item.active .faq-title::after {

    transform: translateY(-50%) rotate(45deg);

    color: #99FFFF;

}

.faq-content {

    max-height: 0;

    overflow: hidden;

    opacity: 0;

    transform: translateY(-15px);

    transition:
        max-height .5s ease,
        opacity .4s ease,
        transform .4s ease;

}

.faq-item.active .faq-content {

    max-height: 300px;

    opacity: 1;

    transform: translateY(0);

}

.faq-content p {

    color: silver;

    font-size: clamp(15px, 1vw, 20px);

    line-height: 1.8;

    padding: 0 10px 25px;

}

.footer {

    background: #222;

    color: white;

    margin-top: -10px;

    padding: 80px 10% 40px;
    font-family: serif;

}

.footer-top {

    display: flex;

    justify-content: space-between;

    align-items: flex-start;

    flex-wrap: wrap;

    gap: 80px;

}

.footer-left {

    width: 300px;

}

.footer-logo {

    width: 120px;

    margin-bottom: 20px;

}

.footer-left h1 {

    font-size: clamp(20px, 1.5vw, 30px);

    margin: 0;

}

.footer-right {

    flex: 1;

    text-align: center;

}

.footer-right h2 {

    font-size: clamp(20px, 2vw, 30px);

    margin-bottom: 20px;

}

.footer-right p {

    color: #dddddd;

    line-height: 2;

}

.footer-right a {

    display: inline-block;

    margin-top: 20px;

    color: white;

    text-decoration: none;

    font-size: 25px;

    border-bottom: 1px solid white;

    padding-bottom: 8px;

    transition: .3s;

}

.footer-right a:hover {

    color: #99FFFF;

    border-color: #99FFFF;

}

.footer-bottom {

    text-align: center;

    margin-top: 80px;

}

.footer-bottom p {

    line-height: 2;

}

.copyright {

    margin-top: 25px;

    color: #aaaaaa;

}

.footer-social {

    margin-top: -40px;

    text-align: center;

    font-family: serif;

}

.follow-title {

    color: #99FFFF;

    letter-spacing: 4px;

    font-size: 18px;

    font-weight: 400;

    margin-bottom: 30px;

}

.social-icons {

    display: flex;

    justify-content: center;

    gap: 25px;

}

.social-btn {

    width: 65px;
    height: 65px;

    display: flex;

    justify-content: center;
    align-items: center;

    border: 2px solid #99FFFF;

    border-radius: 50%;

    color: white;

    text-decoration: none;

    font-size: 28px;

    background: rgba(0, 0, 0, .25);

    backdrop-filter: blur(8px);

    transition:
        transform .25s ease,
        box-shadow .25s ease,
        background .25s ease,
        color .25s ease;

}

.social-btn:hover {

    background: #99FFFF;

    color: #111;

    transform: translateY(-6px) scale(1.08);

    box-shadow:
        0 0 10px #99FFFF,
        0 0 25px #99FFFF;

}

.follow-title {

    position: relative;

}

.follow-title::before,
.follow-title::after {

    content: "";

    display: inline-block;

    width: 60px;
    height: 1px;

    background: #99FFFF;

    margin: 0 15px;

    vertical-align: middle;

}



@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(30px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes bounce {

    0%,
    100% {
        transform: rotate(90deg) scaleY(8.0) scaleX(3.0) translateX(0);
    }

    50% {
        transform: rotate(90deg) scaleY(8.0) scaleX(3.0) translateX(8px);
    }
}

@keyframes fadeDown {
    from {
        opacity: 0;
        transform:
            rotate(90deg) scaleY(8.0) scaleX(3.0) translateX(-30px);
    }

    to {
        opacity: 0.9;
        transform:
            rotate(90deg) scaleY(8.0) scaleX(3.0) translateX(0);
    }
}

/*==============================
スマホ対応（768px以下）
==============================*/
@media screen and (max-width:768px) {

    html {
        overflow-x: hidden;
    }

    body {
        overflow-x: hidden;
    }

    /*--------------------
ヘッダー
--------------------*/

    .header {
        padding: 15px 20px;
    }

    .logo-image {
        height: 30px;
    }

    .logo-text {
        font-size: 20px;
    }

    .menu-button {
        font-size: 35px;
    }

    /*--------------------
ヒーロー
--------------------*/

    .hero {

        height: 100vh;

        padding: 30px;

        display: flex;

        flex-direction: column;

        justify-content: center;

        margin-top: 30px;

        padding-top: -500px;
    }

    .title {

        font-size: 16vw;

        border-left: 12px solid white;

        margin-left: -20px;

        margin-top: -70px;

    }

    .setumei {

        font-size: 7vw;

        line-height: 1.3;

    }

    .midasi {

        font-size: 5vw;

        line-height: 1.5;

    }

    .scroll-down {

        right: 30px;

        bottom: 40px;

        font-size: 30px;

        display: none;

    }

    .hero-bottom {

        /*height: 60px;*/

    }

    /*--------------------
Overview
--------------------*/

    .spec-area {

        flex-direction: column;

        width: 90%;

        margin: 50px auto;

    }

    .spec-text {

        width: 100%;

    }

    .spec-text h2 {

        margin-top: 30px;

    }

    .spec-text p {

        font-size: 22px;

    }

    .TENACITY-CAD {

        width: 100%;

        margin-top: 40px;

    }

    /*--------------------
カテゴリ
--------------------*/

    .category-area {

        flex-direction: column;

        width: 90%;

        gap: 20px;


    }

    .category {

        width: 100%;

        clip-path: none;

        border-radius: 15px;

    }


    .category-area {

        display: flex;
        flex-direction: column;
        align-items: center;

        width: 90%;
        margin: 50px auto;

    }

    .category {

        width: 100%;
        margin: 0;
        box-sizing: border-box;

    }



    /*--------------------
タイトル
--------------------*/

    .detail-title,
    .detail-title-soft,
    .detail-title-elect,
    .detail-title-science {

        width: 92%;

        margin: 100px auto 60px;

    }

    .detail-title h1,
    .detail-title-soft h1,
    .detail-title-elect h1,
    .detail-title-science h1 {

        font-size: 9vw;

    }

    /*--------------------
説明文
--------------------*/

    .Hard-explanation {

        margin: 0 20px;

        font-size: 18px;

        line-height: 2;

    }

    /*--------------------
メンバー
--------------------*/

    .engineer {

        margin: 0 20px;

    }

    .engineer h2 {

        margin-top: 50px;

        font-size: 20px;

    }

    .engineer h1 {

        font-size: 25px;

        line-height: 1.6;

    }

    .Japanese {

        display: block;

        margin-left: 0;

        margin-top: 5px;

    }

    .English-name {

        display: block;

        margin-top: 5px;

        color: silver;

    }

    /*--------------------
Gallery
--------------------*/

    .gallery-area {

        gap: 15px;

    }

    .gallery-area img {

        width: 100vw;

    }

    /*--------------------
愛称
--------------------*/

    .mean {

        margin: 40px 20px;

    }

    .mean h1 {

        font-size: 18px;

        line-height: 2;

    }

    .mean h2 {

        font-size: 24px;

    }

    /*--------------------
FAQ
--------------------*/

    .faq {

        width: 92%;

    }

    .faq-title {

        padding: 20px 50px 20px 10px;

        font-size: 20px;

    }

    .faq-content p {

        font-size: 16px;

        line-height: 2;

    }

    /*--------------------
Footer
--------------------*/

    .footer {

        padding: 60px 20px;

    }

    .footer-top {

        flex-direction: column;

        align-items: center;

        gap: 40px;

    }

    .footer-left {

        width: 100%;

        text-align: center;

    }

    .footer-logo {

        width: 90px;

    }

    .footer-right {

        width: 100%;

    }

    .footer-right h2 {

        font-size: 24px;

    }

    .footer-right a {

        font-size: 20px;

    }

    .footer-bottom {

        margin-top: 40px;

    }

    .footer-bottom p {

        font-size: 14px;

    }

    /*--------------------
各見出し
--------------------*/

    .challenge {

        font-size: 40px;

    }

    .challenge-bottom {

        width: 50%;

    }

    .overview {

        font-size: 42px;

    }

    .overview-bottom {

        width: 40%;

    }

    .kitaigaiyou {

        font-size: 20px;

    }

}

.faq-item.active .faq-content {

    max-height: 2000px;

}

@media screen and (max-width:768px) {

    .gallery-btn {
        width: 50px;
        height: 50px;
        font-size: 26px;
    }

    .gallery-btn.prev {
        left: 10px;
    }

    .gallery-btn.next {
        right: 10px;
    }

    .gallery-btn {

        background: rgba(10, 10, 10, .15);

        backdrop-filter: blur(8px);

    }

}

@media (max-width:768px) {

    .social-icons {

        gap: 18px;

    }

    .social-btn {

        width: 55px;
        height: 55px;

        font-size: 24px;

    }

    .follow-title {

        font-size: 15px;

        letter-spacing: 2px;

    }

}